package com.ruixuan.launch.entity;


import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruixuan.common.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 广告组创建记录对象 kuaishou_launch_record_group
 *
 * @author ruoyi
 * @date 2022-07-08
 */
@Data
public class KuaishouLaunchGroupRecord {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private String id;

    /**
     * 账户ID
     */
    @Excel(name = "账户ID")
    private Long accountId;

    /**
     * 广告活动ID
     */
    @Excel(name = "广告活动ID")
    private Long campaignId;

    /**
     * 广告组ID
     */
    @Excel(name = "广告组ID")
    private Long unitId;

    /**
     * 策略ID
     */
    private Long strategyId;

    /**
     * 日期
     */
    @Excel(name = "日期")
    private String statDate;

    /**
     * 广告组名称
     */
    @Excel(name = "广告组名称")
    private String unitName;

    /**
     * 出价
     */
    @Excel(name = "出价")
    private Long cpaBid;

    /**
     * 优化目标出价类型	10:OCPM (当前只支持 OCPM)
     */
    @Excel(name = "优化目标出价类型	10:OCPM (当前只支持 OCPM)")
    private Long bidType;

    /**
     * 优化目标
     */
    @Excel(name = "优化目标")
    private Long ocpxActionType;

    /**
     * 付费 ROI 系数
     */
    @Excel(name = "付费 ROI 系数")
    private BigDecimal roiRatio;

    /**
     * 资源位置
     */
    @Excel(name = "资源位置")
    private String sceneId;

    /**
     * 创意制作方式 4: 自定义
     */
    @Excel(name = "创意制作方式 4: 自定义")
    private Integer unitType;

    /**
     * 投放开始时间
     */
    @Excel(name = "投放开始时间")
    private String beginTimeStr;

    /**
     * 投放结束时间
     */
    @Excel(name = "投放结束时间")
    private String endTimeStr;

    /**
     * 投放时间段
     */
    @Excel(name = "投放时间段")
    private String scheduleTime;

    /**
     * 单日预算
     */
    @Excel(name = "单日预算")
    private Long dayBudget;

    /**
     * 辅助类型0-小店3-金牛
     */
    @Excel(name = "辅助类型0-小店3-金牛")
    private Integer supportType;

    /**
     * 创意展现方式  0：未知， 1：轮播，
     */
    @Excel(name = "创意展现方式  0：未知， 1：轮播，")
    private Long showMode;

    /**
     * 投放方式
     */
    @Excel(name = "投放方式")
    private Long speed;

    /**
     * 电商关联Id (小店通商品推广，计划 type=13)
     */
    @Excel(name = "电商关联Id (小店通商品推广，计划 type=13)")
    private Long itemId;

    /**
     * 电商广告投放类型 0: 商品，2: 个人主页
     */
    @Excel(name = "电商广告投放类型 0: 商品，2: 个人主页")
    private Long merchantItemPutType;

    /**
     * 直播挂车 id
     */
    @Excel(name = "直播挂车 id")
    private Long shoppingCarProductId;

    /**
     * 主播 id
     */
    @Excel(name = "主播 id")
    private Long liveUserId;

    /**
     * 地域
     */
    @Excel(name = "地域")
    private String region;

    /**
     * 自定义年龄段
     */
    @Excel(name = "自定义年龄段")
    private String age;

    /**
     * 性别 1：女性, 2：男性， 0：不限
     */
    @Excel(name = "性别 1：女性, 2：男性， 0：不限")
    private Long genderType;

    /**
     * 人群包定向
     */
    @Excel(name = "人群包定向")
    private String population;

    /**
     * 人群包排除
     */
    @Excel(name = "人群包排除")
    private String excludePopulation;

    /**
     * 付费人群包 id
     */
    @Excel(name = "付费人群包 id")
    private String paidAudience;

    /**
     * 行为类型 0:关注 1:视频互动 2:直播互动
     */
    @Excel(name = "行为类型 0:关注 1:视频互动 2:直播互动")
    private String behaviorList;

    /**
     * 快手网红信息
     */
    @Excel(name = "快手网红信息")
    private String fansStarList;

    /**
     * 快手网红信息
     */
    @Excel(name = "快手网红信息")
    private String purchaseIntention;

    /**
     * 结果说明
     */
    @Excel(name = "结果说明")
    private String message;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

}