package com.ruixuan.launch.mapper;

import com.ruixuan.launch.entity.KuaishouLaunchCampaign;
import com.ruixuan.launch.entity.KuaishouLaunchCreative;

import java.util.List;

/**
 * 广告创意信息Mapper接口
 *
 * @author ruoyi
 * @date 2022-07-05
 */
public interface KuaishouLaunchCreativeMapper
{
    /**
     * 查询广告创意信息
     *
     * @param id 广告创意信息主键
     * @return 广告创意信息
     */
    public KuaishouLaunchCreative selectKuaishouLaunchCreativeById(String id);

    /**
     * 查询广告创意信息列表
     *
     * @param kuaishouLaunchCreative 广告创意信息
     * @return 广告创意信息集合
     */
    public List<KuaishouLaunchCreative> selectKuaishouLaunchCreativeList(KuaishouLaunchCreative kuaishouLaunchCreative);

    /**
     * 新增广告创意信息
     *
     * @param kuaishouLaunchCreative 广告创意信息
     * @return 结果
     */
    public int insertKuaishouLaunchCreative(KuaishouLaunchCreative kuaishouLaunchCreative);

    /**
     * 修改广告创意信息
     *
     * @param kuaishouLaunchCreative 广告创意信息
     * @return 结果
     */
    public int updateKuaishouLaunchCreative(KuaishouLaunchCreative kuaishouLaunchCreative);

    /**
     * 删除广告创意信息
     *
     * @param id 广告创意信息主键
     * @return 结果
     */
    public int deleteKuaishouLaunchCreativeById(String id);

    /**
     * 批量删除广告创意信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteKuaishouLaunchCreativeByIds(String[] ids);
}