package com.ruixuan.launch.mapper;


import com.ruixuan.launch.entity.KuaishouLaunchGroupRecord;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 广告组创建记录Mapper接口
 *
 * @author ruoyi
 * @date 2022-07-08
 */
public interface KuaishouLaunchGroupRecordMapper {
    /**
     * 查询广告组创建记录
     *
     * @param id 广告组创建记录主键
     * @return 广告组创建记录
     */
    public KuaishouLaunchGroupRecord selectKuaishouLaunchGroupRecordById(String id);

    /**
     * 查询广告组创建记录列表
     *
     * @param kuaishouLaunchGroupRecord 广告组创建记录
     * @return 广告组创建记录集合
     */
    public List<KuaishouLaunchGroupRecord> selectKuaishouLaunchGroupRecordList(KuaishouLaunchGroupRecord kuaishouLaunchGroupRecord);

    /**
     * 新增广告组创建记录
     *
     * @param kuaishouLaunchGroupRecord 广告组创建记录
     * @return 结果
     */
    public int insertKuaishouLaunchGroupRecord(KuaishouLaunchGroupRecord kuaishouLaunchGroupRecord);

    /**
     * 修改广告组创建记录
     *
     * @param kuaishouLaunchGroupRecord 广告组创建记录
     * @return 结果
     */
    public int updateKuaishouLaunchGroupRecord(KuaishouLaunchGroupRecord kuaishouLaunchGroupRecord);

    /**
     * 删除广告组创建记录
     *
     * @param id 广告组创建记录主键
     * @return 结果
     */
    public int deleteKuaishouLaunchGroupRecordById(String id);

    /**
     * 批量删除广告组创建记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteKuaishouLaunchGroupRecordByIds(String[] ids);

    List<KuaishouLaunchGroupRecord> queryGroupRecord(@Param("accountId") Long accountId, @Param("strategyId") Long strategyId, @Param("statDate") String statDate);
}