package com.ruixuan.launch.service;


import com.alibaba.fastjson.JSONObject;
import com.ruixuan.launch.entity.KuaishouLaunchGroup;
import com.ruixuan.launch.entity.KuaishouLaunchGroupRecord;

import java.util.List;

/**
 * 广告组信息Mapper接口
 *
 * @author ruoyi
 * @date 2022-06-23
 */
public interface IKuaishouLaunchGroupService {
    /**
     * 查询广告组信息
     *
     * @param id 广告组信息主键
     * @return 广告组信息
     */
    public KuaishouLaunchGroup selectKuaishouLaunchGroupById(String id);

    /**
     * 查询广告组信息列表
     *
     * @param kuaishouLaunchGroup 广告组信息
     * @return 广告组信息集合
     */
    public List<KuaishouLaunchGroup> selectKuaishouLaunchGroupList(KuaishouLaunchGroup kuaishouLaunchGroup);

    /**
     * 新增广告组信息
     *
     * @param kuaishouLaunchGroup 广告组信息
     * @return 结果
     */
    public Long insertKuaishouLaunchGroup(JSONObject requestJson,String token);

    /**
     * 修改广告组信息
     *
     * @param kuaishouLaunchGroup 广告组信息
     * @return 结果
     */
    public int updateKuaishouLaunchGroup(KuaishouLaunchGroup kuaishouLaunchGroup);

    /**
     * 删除广告组信息
     *
     * @param id 广告组信息主键
     * @return 结果
     */
    public int deleteKuaishouLaunchGroupById(String id);

    /**
     * 批量删除广告组信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteKuaishouLaunchGroupByIds(String[] ids);

    List<KuaishouLaunchGroupRecord> queryGroupRecord(Long accountId,Long strategyId);
}