package com.ruixuan.bytedance.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruixuan.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 团长活动 信息对象 bytedance_colonel_activity
 *
 * @date 2023-08-11
 */
@Data
public class BytedanceColonelActivity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 活动ID
     */
    @Excel(name = "活动ID")
    private Long activityId;

    /**
     * 活动ID
     */
    @Excel(name = "机构ID")
    private Long institutionId;

    /**
     * 团长百应ID
     */
    @Excel(name = "团长百应ID")
    private Long colonelBuyinId;

    /**
     * 活动名称
     */
    @Excel(name = "活动名称")
    private String activityName;

    /**
     * 活动开始时间
     */
    @Excel(name = "活动开始时间")
    private Long activityStartTime;

    /**
     * 活动结束时间
     */
    @Excel(name = "活动结束时间")
    private Long activityEndTime;

    /**
     * 活动状态，1:未上线；2:报名未开始；3:报名中；4:推广未开始；5:推广中；7:报名结束
     */
    @Excel(name = "活动状态，1:未上线；2:报名未开始；3:报名中；4:推广未开始；5:推广中；7:报名结束")
    private Integer status;

    /**
     * 活动报名开始时间
     */
    @Excel(name = "活动报名开始时间")
    private Long applicationStartTime;

    /**
     * 活动报名结束时间
     */
    @Excel(name = "活动报名结束时间")
    private Long applicationEndTime;

    /**
     * 角色权限字符串
     */
    @Excel(name = "行业类目限制")
    private String categoriesLimit;
    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;


}
