package com.ruixuan.bytedance.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruixuan.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 团长活动详情对象 bytedance_colonel_activity_detail
 */
@Data
public class BytedanceColonelActivityDetail implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 机构ID
     */
    @Excel(name = "机构ID")
    private Long institutionId;

    /**
     * 活动ID
     */
    @Excel(name = "活动ID")
    private Long activityId;

    /**
     * 活动名称
     */
    @Excel(name = "活动名称")
    private String activityName;

    /**
     * 报名门槛是否限制新手店铺 0否、1是
     */
    @Excel(name = "报名门槛是否限制新手店铺 0否、1是")
    private Integer isNewShop;

    /**
     * 报名门槛。0：普通店；1：专营店；2：旗舰店；3：专卖店；4：商场店；5:专卖型旗舰店；6:官方旗舰店；7:企业店；8:个体店
     */
    @Excel(name = "报名门槛。0：普通店；1：专营店；2：旗舰店；3：专卖店；4：商场店；5:专卖型旗舰店；6:官方旗舰店；7:企业店；8:个体店")
    private String shopType;

    /**
     * 活动描述
     */
    @Excel(name = "活动描述")
    private String activityDesc;

    /**
     * 活动开始时间
     */
    @Excel(name = "活动开始时间")
    private Long applyStartTime;

    /**
     * 活动结束时间
     */
    @Excel(name = "活动结束时间")
    private Long applyEndTime;

    /**
     * 活动要求的最低服务费率
     */
    @Excel(name = "活动要求的最低服务费率")
    private String commissionRate;

    /**
     * 微信号
     */
    @Excel(name = "微信号")
    private String wechatId;

    /**
     * 手机号
     */
    @Excel(name = "手机号")
    private String phoneNum;

    /**
     * 预估销售额
     */
    @Excel(name = "预估销售额")
    private String estimatedSingleSale;

    /**
     * 活动类型。1： 全部商家； 2： 指定商家
     */
    @Excel(name = "活动类型。1： 全部商家； 2： 指定商家")
    private Integer activityType;

    /**
     * 指定商家ID
     */
    @Excel(name = "指定商家ID")
    private String specifiedShopIds;

    /**
     * 招商类目
     */
    @Excel(name = "招商类目")
    private String categories;

    /**
     * 报名门槛-店铺体验分选项。0表示不限
     */
    @Excel(name = "报名门槛-店铺体验分选项。0表示不限")
    private Long shopScore;

    /**
     * 最短推广周期，0：不限；>0:具体天数；现在只有0、15、30、60、90
     */
    @Excel(name = "最短推广周期，0：不限；>0:具体天数；现在只有0、15、30、60、90")
    private Long minPromotionDays;

    /**
     * 跨境店铺 可/不可 报名（0:跨境店铺可报名，1:跨境店铺不可报名）
     */
    @Excel(name = "跨境店铺 可/不可 报名", readConverterExp = "0=:跨境店铺可报名，1:跨境店铺不可报名")
    private Long thresholdCrossBorder;

    /**
     * 是否有报名门槛 0否、1是
     */
    @Excel(name = "是否有报名门槛 0否、1是")
    private Integer hasThreshold;

    /**
     * 团长百应ID
     */
    @Excel(name = "团长百应ID")
    private Long colonelBuyinId;

    /**
     * 团长活动设置的限时独家期限 0-6个月, 单位：月
     */
    @Excel(name = "团长活动设置的限时独家期限 0-6个月, 单位：月")
    private Long monthsOfProtection;

    /**
     * 团长名称
     */
    @Excel(name = "团长名称")
    private String colonelName;
    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

}