package com.ruixuan.bytedance.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruixuan.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 团长订单对象 bytedance_order_list
 *
 * @author ruoyi
 * @date 2023-08-14
 */
@Data
public class BytedanceOrderList implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 订单号
     */
    private Long orderId;

    /**
     * APP ID(1128:抖音，2329:抖音极速版，1112: 火山，32: 西瓜， 13: 头条)
     */
    @Excel(name = "APP ID(1128:抖音，2329:抖音极速版，1112: 火山，32: 西瓜， 13: 头条)")
    private String buyerAppId;

    /**
     * 独立抖客百应ID
     */
    @Excel(name = "独立抖客百应ID")
    private String distributorBuyinId;

    /**
     * 独立抖客昵称
     */
    @Excel(name = "独立抖客昵称")
    private String distributorName;

    /**
     * 独立抖客推广费率,此处保存为真实数据x1万之后，如真实是0.35，这里是3500
     */
    @Excel(name = "独立抖客推广费率,此处保存为真实数据x1万之后，如真实是0.35，这里是3500")
    private String adsPromotionRate;

    /**
     * 商品id
     */
    @Excel(name = "商品id")
    private String productId;

    /**
     * 商品名称
     */
    @Excel(name = "商品名称")
    private String productName;

    /**
     * 商品图片URL
     */
    @Excel(name = "商品图片URL")
    private String productImg;

    /**
     * 作者账号昵称(抖音/火山作者)
     */
    @Excel(name = "作者账号昵称(抖音/火山作者)")
    private String authorAccount;

    /**
     * 作者抖店open_id
     */
    @Excel(name = "作者抖店open_id")
    private String authorOpenid;

    /**
     * 店铺ID
     */
    @Excel(name = "店铺ID")
    private Long shopId;

    /**
     * 商家名称
     */
    @Excel(name = "商家名称")
    private String shopName;

    /**
     * 订单支付金额，单位分
     */
    @Excel(name = "订单支付金额，单位分")
    private Long totalPayAmount;

    /**
     * 订单状态(PAY_SUCC:支付完成 REFUND:退款 SETTLE:结算 CONFIRM: 确认收货)
     */
    @Excel(name = "订单状态(PAY_SUCC:支付完成 REFUND:退款 SETTLE:结算 CONFIRM: 确认收货)")
    private String flowPoint;

    /**
     * App名称（抖音，火山，西瓜，头条）
     */
    @Excel(name = "App名称", readConverterExp = "抖=音，火山，西瓜，头条")
    private String app;

    /**
     * 付款时间
     */
    @Excel(name = "付款时间")
    private Long paySuccessTime;
    /**
     * 付款小时时间
     */
    @Excel(name = "付款小时时间")
    private Integer paySuccessTimeHour;

    /**
     * 结算时间
     */
    @Excel(name = "结算时间")
    private Long settleTime;

    /**
     * 预估参与结算金额，单位分
     */
    @Excel(name = "预估参与结算金额，单位分")
    private Long payGoodsAmount;

    /**
     * 实际参与结算金额，单位分
     */
    @Excel(name = "实际参与结算金额，单位分")
    private Long settledGoodsAmount;

    /**
     * 商品数目
     */
    @Excel(name = "商品数目")
    private Long itemNum;

    /**
     * 退款订单退款时间
     */
    @Excel(name = "退款订单退款时间")
    private Long refundTime;

    /**
     * 达人抖音号
     */
    @Excel(name = "达人抖音号")
    private String authorShortId;

    /**
     * 团长类型。0：普通；1:一级团长；2: 二级团长
     */
    @Excel(name = "团长类型。0：普通；1:一级团长；2: 二级团长")
    private String colonelType;

    /**
     * 达人百应ID
     */
    @Excel(name = "达人百应ID")
    private String authorBuyinId;

    /**
     * 带货体裁。shop_list：橱窗；video：视频；live：直播；others：其他
     */
    @Excel(name = "带货体裁。shop_list：橱窗；video：视频；live：直播；others：其他")
    private String mediaType;

    /**
     * 达人佣金率，此处保存为真实数据x1万之后，如真实是0.35，这里是3500
     */
    @Excel(name = "达人佣金率，此处保存为真实数据x1万之后，如真实是0.35，这里是3500")
    private Long commissionRate;

    /**
     * 带货体裁 id(只返回视频/直播间 id)
     */
    @Excel(name = "带货体裁 id(只返回视频/直播间 id)")
    private Long mediaId;

    /**
     * 是否托管 0否，1是
     */
    @Excel(name = "是否托管 0否，1是")
    private String isTrusteeship;

    /**
     * 分销类型。ProductDetail：商品分销；Live：直播分销；Activity：频道活动；Mix：营销活动
     */
    @Excel(name = "分销类型。ProductDetail：商品分销；Live：直播分销；Activity：频道活动；Mix：营销活动")
    private String goodShareType;

    /**
     * 团长服务费率(35%返回3500)
     */
    @Excel(name = "团长服务费率(35%返回3500)")
    private Long colonelCommissionRate;

    /**
     * 团长活动ID
     */
    @Excel(name = "团长活动ID")
    private Long colonelActivityId;

    /**
     * 团长预估服务费，单位分
     */
    @Excel(name = "团长预估服务费，单位分")
    private Long colonelEstimatedCommission;

    /**
     * 团长结算服务费，单位分
     */
    @Excel(name = "团长结算服务费，单位分")
    private Long colonelRealCommission;

    /**
     * 团长技术服务费率，单位分
     */
    @Excel(name = "团长技术服务费率，单位分")
    private Long colonelTechServiceFeeRate;

    /**
     * 团长预估技术服务费，单位分
     */
    @Excel(name = "团长预估技术服务费，单位分")
    private Long colonelTechServiceFee;

    /**
     * 团长结算技术服务费，单位分
     */
    @Excel(name = "团长结算技术服务费，单位分")
    private Long colonelSettledTechServiceFee;

    /**
     * 团长机构ID
     */
    @Excel(name = "团长机构ID")
    private Long colonelInstitutionId;

    /**
     * 团长机构名称
     */
    @Excel(name = "团长机构名称")
    private String colonelInstitutionName;

    /**
     * 团长百应ID
     */
    @Excel(name = "团长百应ID")
    private Long colonelBuyinId;

    /**
     * 二级团长服务费率(35%返回3500)
     */
    @Excel(name = "二级团长服务费率(35%返回3500)")
    private Long secondCommissionRate;

    /**
     * 二级团长活动ID
     */
    @Excel(name = "二级团长活动ID")
    private Long secondActivityId;

    /**
     * 二级团长预估服务费，单位分
     */
    @Excel(name = "二级团长预估服务费，单位分")
    private Long secondEstimatedCommission;

    /**
     * 二级团长结算服务费，单位分
     */
    @Excel(name = "二级团长结算服务费，单位分")
    private Long secondRealCommission;

    /**
     * 二级团长机构ID
     */
    @Excel(name = "二级团长机构ID")
    private Long secondInstitutionId;

    /**
     * 二级团长机构名称
     */
    @Excel(name = "二级团长机构名称")
    private String secondInstitutionName;

    /**
     * 二级团长百应ID
     */
    @Excel(name = "二级团长百应ID")
    private Long secondColonelBuyinId;

    /**
     * 更新时间 [联盟侧订单更新时间]
     */
    @JsonFormat(pattern = "yyyyMMdd")
    private Long updateTime;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}
