package com.ruixuan.data.entity;

import com.ruixuan.common.annotation.Excel;
import com.ruixuan.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 直播数据看板对象 kuaishou_live_data_kanban
 *
 * @author ruoyi
 * @date 2022-05-31
 */
@Data
public class KuaishouLiveDataKanban extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 快手ID
     */
    @Excel(name = "快手ID")
    private Long ksId;

    /**
     * 快手昵称
     */
    @Excel(name = "快手昵称")
    private String ksName;

    /**
     * 账户ID
     */
    @Excel(name = "账户ID")
    private Long accountId;

    /**
     * 账户名称
     */
    @Excel(name = "账户名称")
    private String accountName;

    /**
     * 实时在线观看人数
     */
    @Excel(name = "实时在线观看人数")
    private Long onlineViewers;

    /**
     * 观看人数
     */
    @Excel(name = "观看人数")
    private Long viewers;

    /**
     * 观看次数
     */
    @Excel(name = "观看次数")
    private Long viewingTimes;

    /**
     * 人均观看时长
     */
    @Excel(name = "人均观看时长")
    private String perViewingTime;

    /**
     * 粉丝平均观看时长
     */
    @Excel(name = "粉丝平均观看时长")
    private String fansViewingTime;

    /**
     * 打赏数
     */
    @Excel(name = "打赏数")
    private Long rewards;

    /**
     * 上架商品数
     */
    @Excel(name = "上架商品数")
    private Long putWares;

    /**
     * 新增粉丝数
     */
    @Excel(name = "新增粉丝数")
    private Long newFans;

    /**
     * 点赞数
     */
    @Excel(name = "点赞数")
    private Long likes;

    /**
     * 商品点击人数
     */
    @Excel(name = "商品点击人数")
    private Long waresClicks;

    /**
     * 小黄车点击数
     */
    @Excel(name = "小黄车点击数")
    private Long carClicks;

    /**
     * 累计成交金额
     */
    @Excel(name = "累计成交金额")
    private BigDecimal allAmount;

    /**
     * 累计成交人数
     */
    @Excel(name = "累计成交人数")
    private Long allTurnover;

    /**
     * 累计成交订单数
     */
    @Excel(name = "累计成交订单数")
    private Long allOrders;

    /**
     * 成交转化率
     */
    @Excel(name = "成交转化率")
    private String turnoverRatio;

}
