package com.ruixuan.data.service;

import com.alibaba.fastjson.JSONObject;
import com.ruixuan.data.entity.KuaishouLiveDataOverview;
import com.ruixuan.live.entity.KuaishouLiveBroadcast;

import java.util.List;

/**
 * 直播数据概览Service接口
 *
 * @author ruoyi
 * @date 2022-05-31
 */
public interface IKuaishouLiveDataOverviewService {
    /**
     * 查询直播数据概览
     *
     * @param ksId 直播数据概览主键
     * @return 直播数据概览
     */
    public KuaishouLiveDataOverview selectKuaishouLiveDataOverviewByKsId(Long ksId);

    /**
     * 查询直播数据概览列表
     *
     * @param kuaishouLiveDataOverview 直播数据概览
     * @return 直播数据概览集合
     */
    public List<KuaishouLiveDataOverview> selectKuaishouLiveDataOverviewList(KuaishouLiveDataOverview kuaishouLiveDataOverview);

    /**
     * 新增直播数据概览
     *
     * @param kuaishouLiveDataOverview 直播数据概览
     * @return 结果
     */
    public int insertKuaishouLiveDataOverview(KuaishouLiveDataOverview kuaishouLiveDataOverview);

    /**
     * 修改直播数据概览
     *
     * @param kuaishouLiveDataOverview 直播数据概览
     * @return 结果
     */
    public int updateKuaishouLiveDataOverview(KuaishouLiveDataOverview kuaishouLiveDataOverview);

    /**
     * 批量删除直播数据概览
     *
     * @param ksIds 需要删除的直播数据概览主键集合
     * @return 结果
     */
    public int deleteKuaishouLiveDataOverviewByKsIds(Long[] ksIds);

    /**
     * 删除直播数据概览信息
     *
     * @param ksId 直播数据概览主键
     * @return 结果
     */
    public int deleteKuaishouLiveDataOverviewByKsId(Long ksId);

    int inserExcelInfo(KuaishouLiveBroadcast broadcast,List<JSONObject> list) throws Exception;
}
