package com.ruixuan.isc.controller;


import java.math.BigDecimal;
import java.util.HashMap;
import java.util.HashSet;
import java.util.List;
import java.util.Map;
import javax.servlet.http.HttpServletResponse;

import com.alibaba.fastjson.JSONObject;
import com.ruixuan.common.annotation.Log;
import com.ruixuan.common.core.controller.BaseController;
import com.ruixuan.common.core.domain.AjaxResult;
import com.ruixuan.common.core.page.TableDataInfo;
import com.ruixuan.common.enums.BusinessType;
import com.ruixuan.common.utils.Check;
import com.ruixuan.common.utils.DateUtils;
import com.ruixuan.common.utils.poi.ExcelUtil;
import com.ruixuan.isc.entity.KuaishouRewardBaseInfo;
import com.ruixuan.isc.service.IKuaishouRewardBaseInfoService;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * 【请填写功能名称】Controller
 *
 * @author ruoyi
 * @date 2024-10-31
 */
@RestController
@RequestMapping("/finance/reward")
public class KuaishouRewardBaseInfoController extends BaseController {
    @Autowired
    private IKuaishouRewardBaseInfoService kuaishouRewardBaseInfoService;

    /**
     * 查询【请填写功能名称】列表
     */
    @GetMapping("/list")
    public TableDataInfo list(Long itemId, String promoterId, String startDate, String endDate, String itemTitle, String promoterName) {

        Map<String, Object> requestMap = new HashMap<>();
        if (!Check.isNull(itemId)) {
            requestMap.put("itemId", itemId);
        }
        if (!Check.isNull(promoterId)) {
            requestMap.put("promoterId", promoterId);
        }
        if (!Check.isNull(startDate)) {
            requestMap.put("startDate", startDate);
        }
        if (!Check.isNull(endDate)) {
            requestMap.put("endDate", endDate);
        }
        if (!Check.isNull(itemTitle)) {
            requestMap.put("itemTitle", itemTitle);
        }
        if (!Check.isNull(promoterName)) {
            requestMap.put("promoterName", promoterName);
        }
        startPage();
        List<KuaishouRewardBaseInfo> list = kuaishouRewardBaseInfoService.selectKuaishouRewardBaseInfoList(requestMap);
        return getDataTable(list);
    }


    @GetMapping("/totalListInfo")
    public TableDataInfo totalListInfo(Long itemId, String promoterId, String itemTitle, String promoterName) {

        Map<String, Object> requestMap = new HashMap<>();
        if (!Check.isNull(itemId)) {
            requestMap.put("itemId", itemId);
        }
        if (!Check.isNull(promoterId)) {
            requestMap.put("promoterId", promoterId);
        }

        if (!Check.isNull(itemTitle)) {
            requestMap.put("itemTitle", itemTitle);
        }
        if (!Check.isNull(promoterName)) {
            requestMap.put("promoterName", promoterName);
        }
        startPage();
        List<JSONObject> list = kuaishouRewardBaseInfoService.totalListInfo(requestMap);
        return getDataTable(list);
    }


    @GetMapping("/getTotal")
    public JSONObject getTotal(KuaishouRewardBaseInfo kuaishouRewardBaseInfo) {

        JSONObject json = kuaishouRewardBaseInfoService.getTotal(kuaishouRewardBaseInfo);
        return json;
    }

    /**
     * 导出【请填写功能名称】列表
     */
/*    @Log(title = "【请填写功能名称】", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, KuaishouRewardBaseInfo kuaishouRewardBaseInfo) {
        List<KuaishouRewardBaseInfo> list = kuaishouRewardBaseInfoService.selectKuaishouRewardBaseInfoList(kuaishouRewardBaseInfo);
        ExcelUtil<KuaishouRewardBaseInfo> util = new ExcelUtil<KuaishouRewardBaseInfo>(KuaishouRewardBaseInfo.class);
        util.exportExcel(response, list, "【请填写功能名称】数据");
    }*/

    /**
     * 获取【请填写功能名称】详细信息
     */
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id) {
        return AjaxResult.success(kuaishouRewardBaseInfoService.selectKuaishouRewardBaseInfoById(id));
    }

    @GetMapping(value = "/getItemName")
    public String getItemName(Long itemId) {
        if (Check.isNull(itemId)) {
            return null;

        }
        return kuaishouRewardBaseInfoService.getItemName(itemId);
    }


    @GetMapping(value = "/getPromoterName")
    public String getPromoterName(String promoterId) {
        if (Check.isNull(promoterId)) {
            return null;
        }
        return kuaishouRewardBaseInfoService.getPromoterName(promoterId);
    }

    @GetMapping(value = "/getTotalSettlementNum")
    public Long getTotalSettlementNum(String promoterId, Long itemId, Long currentSettlementNum) {
        if (Check.isNull(promoterId)) {
            return 0L;
        }
        if (Check.isNull(itemId)) {
            return 0L;
        }
        if (Check.isNull(currentSettlementNum)) {
            return 0L;
        }
        Long lastTotalSettlementNum = kuaishouRewardBaseInfoService.getTotalSettlementNum(promoterId, itemId);
        BigDecimal totalSettlementNum = new BigDecimal(currentSettlementNum).add(new BigDecimal(lastTotalSettlementNum));
        return totalSettlementNum.longValue();
    }


    @GetMapping(value = "/getTotalAmount")
    public BigDecimal getTotalAmount(String promoterId, Long itemId, BigDecimal anchorAmount, BigDecimal referenceAmount) {
        if (Check.isNull(promoterId)) {
            return BigDecimal.ZERO;
        }
        if (Check.isNull(itemId)) {
            return BigDecimal.ZERO;
        }

        BigDecimal lastTotalAmount = kuaishouRewardBaseInfoService.getTotalAmount(promoterId, itemId);
        if (!Check.isNull(anchorAmount) && anchorAmount.compareTo(BigDecimal.ZERO) != 0) {
            lastTotalAmount = lastTotalAmount.add(anchorAmount);
        }
        if (!Check.isNull(referenceAmount) && anchorAmount.compareTo(referenceAmount.ZERO) != 0) {
            lastTotalAmount = lastTotalAmount.add(referenceAmount);
        }


        return lastTotalAmount;
    }


    /**
     * 新增【请填写功能名称】
     */
    @PostMapping("/add")
    public AjaxResult add(@RequestBody KuaishouRewardBaseInfo kuaishouRewardBaseInfo) {
        AjaxResult result = new AjaxResult();
        try {
            Long itemId = kuaishouRewardBaseInfo.getItemId();
            if (Check.isNull(itemId)) {
                throw new Exception("请输入商品ID");

            }
            String promoterId = kuaishouRewardBaseInfo.getPromoterId();
            if (Check.isNull(promoterId)) {
                throw new Exception("请输入达人ID");
            }
            String statDate = kuaishouRewardBaseInfo.getStatDate();
            if (Check.isNull(statDate)) {
                throw new Exception("请输入结算日期");
            }
            kuaishouRewardBaseInfo.setStatDate(statDate);
            Integer dataCount = kuaishouRewardBaseInfoService.checkData(itemId, promoterId, statDate);
            if (dataCount >= 1) {
                throw new Exception("此达人下此商品所选日期已结算");
            }
            JSONObject getInfo = kuaishouRewardBaseInfoService.getInfo(itemId, promoterId);
            if (!Check.isNull(getInfo)) {
                String itemName = getInfo.getString("itemName");
                if (!Check.isNull(itemName)) {
                    kuaishouRewardBaseInfo.setItemTitle(itemName);
                }
                String promoterName = getInfo.getString("promoterName");
                if (!Check.isNull(promoterName)) {
                    kuaishouRewardBaseInfo.setPromoterName(promoterName);
                }
            }
            kuaishouRewardBaseInfo.setPromoterType(1);
            return toAjax(kuaishouRewardBaseInfoService.insertKuaishouRewardBaseInfo(kuaishouRewardBaseInfo));
        } catch (Exception e) {
            result.put("code", 500);
            result.put("msg", e.getMessage());
            return result;
        }

    }

    /**
     * 修改【请填写功能名称】
     */
    @Log(title = "【请填写功能名称】", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody KuaishouRewardBaseInfo kuaishouRewardBaseInfo) {
        return toAjax(kuaishouRewardBaseInfoService.updateKuaishouRewardBaseInfo(kuaishouRewardBaseInfo));
    }

    /**
     * 删除【请填写功能名称】
     */
    @Log(title = "【请填写功能名称】", businessType = BusinessType.DELETE)
    @DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids) {
        return toAjax(kuaishouRewardBaseInfoService.deleteKuaishouRewardBaseInfoByIds(ids));
    }
}

