package com.ruixuan.isc.entity;

import com.alibaba.fastjson.JSONObject;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.Date;

/**
 * 团长招商活动已报名商品列表
 * kuaishou_activity_open_item_list
 */
@Data
@ApiModel(value = "kuaishou_activity_open_item_list对象", description = "团长招商活动已报名商品列表")
public class KuaiShouActivityOpenItemList {

    /**
     * 商品ID
     */
    private Long itemId;
    /**
     * 商品类目名称
     */
    private String itemCategoryName;
    /**
     * 商品价格
     */
    private Long itemPrice;
    /**
     * 上级活动ID
     */
    private Long preActivityId;
    /**
     * 商品叶子类目id
     */
    private Long itemLeafCategoryId;
    /**
     * 商品佣金率
     */
    private Long itemCommissionRate;
    /**
     * 团长服务费率
     */
    private Long investmentPromotionRate;
    /**
     * 小店星级
     */
    private String shopStar;
    /**
     * 店铺物流分
     */
    private String mallLogisticsScore;
    /**
     * 店铺评分
     */
    private String shopScore;
    /**
     * 店铺服务分
     */
    private String mallServiceScore;
    /**
     * 店铺质量分
     */
    private String mallQualityScore;
    /**
     * 单量达成状态
     */
    private String baseOrderStatus;
    /**
     * 商品ccr值（万分之）
     */
    private Long ccrValue;
    /**
     * 店铺ID
     */
    private Long shopId;

    /**
     * 	店铺名称
     */
    private String shopTitle;
    /**
     * 新版店铺体验分
     */
    private String storeScore;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改时间
     */
    private Date updateTime;

    public KuaiShouActivityOpenItemList() {

    }

    public KuaiShouActivityOpenItemList(JSONObject info) {
        this.setItemId(info.getLong("itemId"));
        this.setItemCategoryName(info.getString("itemCategoryName"));
        this.setItemPrice(info.getLong("itemPrice"));
        this.setPreActivityId(info.getLong("preActivityId"));
        this.setItemLeafCategoryId(info.getLong("itemLeafCategoryId"));
        this.setItemCommissionRate(info.getLong("itemCommissionRate"));
        this.setInvestmentPromotionRate(info.getLong("investmentPromotionRate"));
        this.setShopStar(info.getString("shopStar"));
        this.setMallLogisticsScore(info.getString("mallLogisticsScore"));
        this.setMallQualityScore(info.getString("mallQualityScore"));
        this.setShopScore(info.getString("shopScore"));
        this.setMallServiceScore(info.getString("mallServiceScore"));
        this.setBaseOrderStatus(info.getString("baseOrderStatus"));
        this.setCcrValue(info.getLong("ccrValue"));
        this.setStoreScore(info.getString("storeScore"));
        this.setShopTitle(info.getString("shopTitle"));
        this.setShopId(info.getLong("shopId"));
    }

}
