package com.ruixuan.isc.entity;


import java.math.BigDecimal;

import com.alibaba.fastjson.JSONObject;
import com.ruixuan.common.annotation.Excel;
import com.ruixuan.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import org.springframework.data.annotation.Transient;


/**
 * 【请填写功能名称】对象 kuaishou_reward_base_info
 *
 * @author ruoyi
 * @date 2024-10-31
 */
@Data
public class KuaishouRewardBaseInfo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;
    private Integer promoterType;

    /**
     * 商品id
     */
    @Excel(name = "商品id")
    private Long itemId;

    /**
     * 商品名称
     */
    @Excel(name = "商品名称")
    private String itemTitle;

    /**
     * 达人ID
     */
    @Excel(name = "达人ID")
    private String promoterId;

    /**
     * 达人名称
     */
    @Excel(name = "达人名称")
    private String promoterName;


    /**
     * 日期
     */
    @Excel(name = "日期")
    private String statDate;

    /**
     * 当前结算单量
     */
    @Excel(name = "当前结算单量")
    private Long currentSettlementNum;

    /**
     * 累计结算单量
     */
    @Excel(name = "累计结算单量")
    private Long totalSettlementNum;

    /**
     * 结算单价
     */
    @Excel(name = "结算单价")
    private BigDecimal settlementPrice;

    /**
     * 主播奖励金额
     */
    @Excel(name = "主播奖励金额")
    private BigDecimal anchorAmount;

    /**
     * 推荐人奖励金额
     */
    @Excel(name = "推荐人奖励金额")
    private BigDecimal referenceAmount;


    /**
     * 累计结算金额
     */
    @Excel(name = "累计结算金额")
    private BigDecimal totalAmount;


    /**
     * 备注
     */
    @Excel(name = "备注")
    private String remarks;


    @Transient
    private String promoterCreateName;
    @Transient
    private String itemCreateName;

    public KuaishouRewardBaseInfo() {

    }

    public KuaishouRewardBaseInfo(JSONObject obj) {
        this.setPromoterId(obj.getString("0"));//达人ID
        this.setPromoterName(obj.getString("1"));//达人昵称
        this.setItemId(obj.getLong("2"));//商品id
        this.setItemTitle(obj.getString("3"));//商品名称
        this.setTotalSettlementNum(obj.getLong("4"));//订单总量
        this.setCurrentSettlementNum(obj.getLong("5"));//已结单量
        this.setCurrentSettlementNum(obj.getLong("6"));//应结单量
        this.setSettlementPrice(obj.getBigDecimal("7"));//结算单价
        this.setAnchorAmount(obj.getBigDecimal("8"));//奖励
        this.setStatDate(obj.getString("9"));//日期

    }
}
