package com.ruixuan.isc.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruixuan.common.annotation.Excel;
import com.ruixuan.common.core.domain.BaseEntity;

import java.math.BigDecimal;
import java.util.Date;


/**
 * 快手小店成本详情对象 kwaixiaodian_cost_detail
 *
 * @author ruoyi
 * @date 2024-11-28
 */
public class KwaixiaodianCostDetailEnd extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 1-普通商品，2-组合商品
     */
    @Excel(name = "1-普通商品，2-组合商品")
    private Integer dataType;

    /**
     * 序号
     */
    @Excel(name = "序号")
    private Integer sortNum;

    /**
     * 公司ID
     */
    @Excel(name = "公司ID")
    private Long companyId;

    /**
     * 订单ID
     */
    @Excel(name = "订单ID")
    private Long oid;

    /**
     * 店铺ID
     */
    @Excel(name = "店铺ID")
    private Long shopId;

    /**
     * itemId
     */
    @Excel(name = "itemId")
    private Long itemId;

    /**
     * skuId
     */
    @Excel(name = "skuId")
    private String skuId;

    /**
     * 组合skuId
     */
    @Excel(name = "组合skuId")
    private String combinationSkuId;

    /**
     * 成本价
     */
    @Excel(name = "成本价")
    private BigDecimal costPrice;

    /**
     * 出单日期
     */
    @Excel(name = "出单日期")
    private Long statDate;

    /**
     * 出单日期时间戳
     */
    @Excel(name = "出单日期时间戳")
    private Long orderTemp;


    /**
     * 数据入库时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "数据入库时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date dataCreateTime;

    /**
     * 数据修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "数据修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date dataUpdateTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getDataType() {
        return dataType;
    }

    public void setDataType(Integer dataType) {
        this.dataType = dataType;
    }

    public Integer getSortNum() {
        return sortNum;
    }

    public void setSortNum(Integer sortNum) {
        this.sortNum = sortNum;
    }

    public Long getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Long companyId) {
        this.companyId = companyId;
    }

    public Long getOid() {
        return oid;
    }

    public void setOid(Long oid) {
        this.oid = oid;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Long getItemId() {
        return itemId;
    }

    public void setItemId(Long itemId) {
        this.itemId = itemId;
    }

    public String getSkuId() {
        return skuId;
    }

    public void setSkuId(String skuId) {
        this.skuId = skuId;
    }

    public String getCombinationSkuId() {
        return combinationSkuId;
    }

    public void setCombinationSkuId(String combinationSkuId) {
        this.combinationSkuId = combinationSkuId;
    }

    public BigDecimal getCostPrice() {
        return costPrice;
    }

    public void setCostPrice(BigDecimal costPrice) {
        this.costPrice = costPrice;
    }

    public Long getStatDate() {
        return statDate;
    }

    public void setStatDate(Long statDate) {
        this.statDate = statDate;
    }

    public Long getOrderTemp() {
        return orderTemp;
    }

    public void setOrderTemp(Long orderTemp) {
        this.orderTemp = orderTemp;
    }

    public Date getDataCreateTime() {
        return dataCreateTime;
    }

    public void setDataCreateTime(Date dataCreateTime) {
        this.dataCreateTime = dataCreateTime;
    }

    public Date getDataUpdateTime() {
        return dataUpdateTime;
    }

    public void setDataUpdateTime(Date dataUpdateTime) {
        this.dataUpdateTime = dataUpdateTime;
    }

    @Override
    public String toString() {
        return "KwaixiaodianCostDetailEnd{" +
                "id=" + id +
                ", dataType=" + dataType +
                ", sortNum=" + sortNum +
                ", companyId=" + companyId +
                ", oid=" + oid +
                ", shopId=" + shopId +
                ", itemId=" + itemId +
                ", skuId='" + skuId + '\'' +
                ", combinationSkuId='" + combinationSkuId + '\'' +
                ", costPrice=" + costPrice +
                ", statDate=" + statDate +
                ", orderTemp=" + orderTemp +
                ", dataCreateTime=" + dataCreateTime +
                ", dataUpdateTime=" + dataUpdateTime +
                '}';
    }
}

