package com.ruixuan.isc.mapper;

import com.alibaba.fastjson.JSONObject;
import com.ruixuan.isc.entity.KuaiShouActivityInfo;
import com.ruixuan.isc.entity.KuaiShouActivityOpenItemList;
import com.ruixuan.isc.entity.KuaishouSupplyChain;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface SupplyChainMapper {
    List<JSONObject> getOrderList(Map<String, Object> requestMap);

    List<JSONObject> getTopOrders(Map<String, Object> requestMap);

    List<JSONObject> anchorOrderDetail(Map<String, Object> requestMap);

    List<JSONObject> orderStatistics(Map<String, Object> requestMap);

    List<JSONObject> itemList(Map<String, Object> requestMap);

    List<JSONObject> itemBindList(Map<String, Object> requestMap);

    List<JSONObject> getTopAnchors(Map<String, Object> requestMap);

    List<JSONObject> itemDetail(Map<String, Object> requestMap);

    List<JSONObject> itemServiceCharge(Map<String, Object> requestMap);

    JSONObject getOrderTotal(Map<String, Object> requestMap);

    Double getOrderTotalRatio(Map<String, Object> ratioMap);

    JSONObject getAmountTotal(Map<String, Object> requestMap);

    Double getAmountTotalRatio(Map<String, Object> ratioMap);

    JSONObject getServiceAmountTotal(Map<String, Object> ratioMap);

    List<JSONObject> getOrderRankRatioList(Map<String, Object> requestMap);

    List<JSONObject> getOrderRankList(Map<String, Object> requestMap);

    List<JSONObject> getPromoterRankRatioList(Map<String, Object> requestMap);

    List<JSONObject> getPromoterRatioList(Map<String, Object> requestMap);

    List<JSONObject> exportPromoterTotal(Map<String, Object> requestMap);

    List<JSONObject> exportPromoter(Map<String, Object> requestMap);

    List<JSONObject> exportOrder(Map<String, Object> requestMap);

    List<JSONObject> getTopPromoterByItemId(Map<String, Object> requestMap);

    List<JSONObject> bindUserItemList(Map<String, Object> requestMap);

    List<JSONObject> getSupplyChainUserList();

    boolean unbindUser(@Param("itemId") Long itemId);

    boolean bindUser(@Param("itemId") Long itemId, @Param("userId") Long userId, @Param("nikeName") String nikeName);

    List<JSONObject> adminReportList(Map<String, Object> requestMap);

    List<JSONObject> userItemDetail(Map<String, Object> requestMap);

    JSONObject getTimeIntervalRatio(Map<String, Object> requestMap);

    List<JSONObject> indexStatistics(Map<String, Object> requestMap);

    JSONObject itemBindSummary();

    JSONObject userItemTotal(Map<String, Object> requestMap);

    List<JSONObject> exportUserItemDetail(Map<String, Object> requestMap);

    String getCookie(Long regId);

    JSONObject selectOrderInfo(Map<String, Object> requestMap);

    JSONObject selectOrderInfoBytedance(Map<String, Object> parMap);

    JSONObject selectOrderRate(@Param("promoterIds") List<String> promoterIds, @Param("itemIds") List<Long> itemIds, @Param("statDate") Long statDate, @Param("endDate") Long endDate, @Param("hour") int hour);

    JSONObject selectOrderRateBytedance(@Param("promoterIds") List<String> promoterIds, @Param("itemIds") List<Long> itemIds, @Param("statDate") Long statDate, @Param("endDate") Long endDate, @Param("hour") int hour);

    List<JSONObject> getMonthOrderAmount(Map<String, Object> map);

    List<JSONObject> getMonthOrderAmountBytedance(Map<String, Object> map);

    JSONObject getMonthOrderAmountTotal(Map<String, Object> map);

    JSONObject selectOrderInfoByItemIds(Map<String, Object> requestMap);

    JSONObject selectOrderInfoByItemIdsBytedance(Map<String, Object> requestMap);

    List<JSONObject> getMonthOrderAmountByItems(Map<String, Object> map);

    JSONObject getMonthOrderAmountTotalByItems(Map<String, Object> map);

    List<JSONObject> bdReportList(Map<String, Object> requestMap);

    List<JSONObject> bdDetailList(Map<String, Object> requestMap);

    List<JSONObject> bdTotal(Map<String, Object> requestMap);

    List<JSONObject> exportBdDetail(Map<String, Object> requestMap);

    List<JSONObject> getUserList(@Param("map") Map<String, String> map);

    String getUserName(@Param("promoterId") Long promoterId);

    List<JSONObject> exportBdReportList(Map<String, Object> requestMap);

    List<JSONObject> exportAdminReportList(Map<String, Object> requestMap);

    List<JSONObject> getSupplyChainCourtshipUserList();

    List<JSONObject> adminReportListByBind(Map<String, Object> requestMap);

    List<JSONObject> exportAdminReportListByBind(Map<String, Object> requestMap);

    List<JSONObject> bdReportListV2(Map<String, Object> requestMap);

    List<JSONObject> bdTotalV2(Map<String, Object> requestMap);

    List<JSONObject> bdDetailListV2(Map<String, Object> requestMap);

    JSONObject getMonthOrderAmountTotalBytedance(Map<String, Object> map);

    List<JSONObject> getMonthOrderAmountByItemsBytedance(Map<String, Object> map);

    JSONObject getMonthOrderAmountTotalByItemsBytedance(Map<String, Object> map);

    List<JSONObject> getOrderRankRatioListBytedance(Map<String, Object> requestMap);

    List<JSONObject> getOrderRankListBytedance(Map<String, Object> requestMap);

    List<JSONObject> getPromoterRankRatioListBytedance(Map<String, Object> requestMap);

    List<JSONObject> getPromoterRatioListBytedance(Map<String, Object> requestMap);

    List<JSONObject> bdReportListV2ByBind(Map<String, Object> requestMap);

    List<JSONObject> exportBindOrder(Map<String, Object> requestMap);

    void updateOrder(@Param("oid") Long oid, @Param("cpsOrderStatus") Integer cpsOrderStatus);

    void updateItem(@Param("itemId") Long itemId, @Param("status") Integer status);

    void updateOrderRegimentalSettleAmount(@Param("oid") Long oid, @Param("cpsOrderStatus") Integer cpsOrderStatus);

    void replaceKuaishouActivityInfo(@Param("list") List<KuaiShouActivityInfo> list);

    void updateKuaishouSupplyChain(@Param("list") List<Long> list);

    void replaceMgsKuaishouActivityInfo(@Param("list") List<KuaiShouActivityInfo> list);

    void replaceRocketKuaishouActivityInfo(@Param("list") List<KuaiShouActivityInfo> list);

    void replaceYufuKuaishouActivityInfo(@Param("list") List<KuaiShouActivityInfo> list);

    void replaceYuxiuKuaishouActivityInfo(@Param("list") List<KuaiShouActivityInfo> list);

    void replaceZhishuiKuaishouActivityInfo(@Param("list") List<KuaiShouActivityInfo> list);

    void updateMgsKuaishouSupplyChain(@Param("list") List<Long> list);

    void updateRocketKuaishouSupplyChain(@Param("list") List<Long> list);

    void updateYufuKuaishouSupplyChain(@Param("list") List<Long> list);

    void updateYuxiuKuaishouSupplyChain(@Param("list") List<Long> list);

    void updateZhishuiKuaishouSupplyChain(@Param("list") List<Long> list);

    List<JSONObject> getBytedanceOrderHourDataList(@Param("date") Long date);

    List<JSONObject> getKuaishouOrderHourDataList(@Param("date") Long date);

    List<JSONObject> exportItemDetail(Map<String, Object> requestMap);

    List<Long> getKuaishouActivityInfoList();

    List<Long> getMgsKuaishouActivityInfoList();

    List<Long> getRocketKuaishouActivityInfoList();

    List<Long> getYufuKuaishouActivityInfoList();

    List<Long> getYuxiuKuaishouActivityInfoList();

    List<Long> getZhishuiKuaishouActivityInfoList();

    void replaceKuaiShouActivityOpenItemList(@Param("list") List<KuaiShouActivityOpenItemList> list);

    void replaceMgsKuaiShouActivityOpenItemList(@Param("list") List<KuaiShouActivityOpenItemList> list);

    void replaceRocketKuaiShouActivityOpenItemList(@Param("list") List<KuaiShouActivityOpenItemList> list);

    void replaceYufuKuaiShouActivityOpenItemList(@Param("list") List<KuaiShouActivityOpenItemList> list);

    void replaceYuxiuKuaiShouActivityOpenItemList(@Param("list") List<KuaiShouActivityOpenItemList> list);

    void replaceZhishuiKuaiShouActivityOpenItemList(@Param("list") List<KuaiShouActivityOpenItemList> list);

    List<JSONObject> getKsChannelGmvHourByDate(@Param("userList") List<Long> userList, @Param("date") Integer date, @Param("hourType") Integer hourType);

    List<JSONObject> getKsCourtshipGmvHourByDate(@Param("userList") List<Long> userList, @Param("date") Integer date, @Param("hourType") Integer hourType);

    List<JSONObject> getBytedanceChannelGmvHourByDate(@Param("userList") List<Long> userList, @Param("date") Long date, @Param("hourType") Integer hourType);

    List<JSONObject> getBytedanceCourtshipGmvHourByDate(@Param("userList") List<Long> userList, @Param("date") Long date, @Param("hourType") Integer hourType);

    List<JSONObject> getPromoterId(@Param("promoterId") Long promoterId);

    int updateRuiXuanOrderRegimentalSettleAmount(@Param("oid") Long oid, @Param("cpsOrderStatus") Integer cpsOrderStatus);

    int updateMgsOrderRegimentalSettleAmount(@Param("oid") Long oid, @Param("cpsOrderStatus") Integer cpsOrderStatus);

    int updateRocketOrderRegimentalSettleAmount(@Param("oid") Long oid, @Param("cpsOrderStatus") Integer cpsOrderStatus);
    int updateRocketOrderRegimentalSettleAmountCS(@Param("oid") Long oid, @Param("cpsOrderStatus") Integer cpsOrderStatus);

    int updateYufuOrderRegimentalSettleAmount(@Param("oid") Long oid, @Param("cpsOrderStatus") Integer cpsOrderStatus);

    int updateYuxiuOrderRegimentalSettleAmount(@Param("oid") Long oid, @Param("cpsOrderStatus") Integer cpsOrderStatus);

    int updateZhishuiOrderRegimentalSettleAmount(@Param("oid") Long oid, @Param("cpsOrderStatus") Integer cpsOrderStatus);

    int updateRuixuanOrder(@Param("oid") Long oid, @Param("cpsOrderStatus") Integer cpsOrderStatus);

    int updateMgsOrder(@Param("oid") Long oid, @Param("cpsOrderStatus") Integer cpsOrderStatus);

    int updateRocketOrder(@Param("oid") Long oid, @Param("cpsOrderStatus") Integer cpsOrderStatus);

    int updateYufuOrder(@Param("oid") Long oid, @Param("cpsOrderStatus") Integer cpsOrderStatus);

    int updateYuXiuOrder(@Param("oid") Long oid, @Param("cpsOrderStatus") Integer cpsOrderStatus);

    int updateZhishuiOrder(@Param("oid") Long oid, @Param("cpsOrderStatus") Integer cpsOrderStatus);

    void updateKuaiShouActivityOpenItemList(KuaiShouActivityOpenItemList list);

    void updateMgsKuaiShouActivityOpenItemList(KuaiShouActivityOpenItemList list);

    void updateRocketKuaiShouActivityOpenItemList(KuaiShouActivityOpenItemList list);

    void updateYufuKuaiShouActivityOpenItemList(KuaiShouActivityOpenItemList list);

    void updateYuxiuKuaiShouActivityOpenItemList(KuaiShouActivityOpenItemList list);

    void updateZhishuiKuaiShouActivityOpenItemList(KuaiShouActivityOpenItemList list);

    List<JSONObject> shopList(Map<String, Object> requestMap);

    List<JSONObject> shopDetail(Map<String, Object> requestMap);

    List<Long> getItemIdsByUserId(@Param("userId") Long userId);

    List<Long> getItemIdsByDeptId(@Param("deptId") Long deptId);

    List<JSONObject> getKsChannelGmvHourByDateRoi(@Param("userList") List<Long> userList, @Param("date") Integer date, @Param("hourType") Integer hourType);

    List<JSONObject> getKsCourtshipGmvHourByDateRoi(@Param("userList") List<Long> userList, @Param("date") Integer date, @Param("hourType") Integer hourType);

    List<JSONObject> getBytedanceChannelGmvHourByDateRoi(@Param("userList") List<Long> userList, @Param("date") Long date, @Param("hourType") Integer hourType);

    List<JSONObject> getBytedanceCourtshipGmvHourByDateRoi(@Param("userList") List<Long> userList, @Param("date") Long date, @Param("hourType") Integer hourType);

    void replaceOne(@Param("ownership") String ownership, @Param("supplyChain") KuaishouSupplyChain supplyChain);

    void replaceBatchOrder(@Param("ownership") String ownership, @Param("supplyChainList") List<KuaishouSupplyChain> supplyChainList);

}
