package com.ruixuan.isc.service.impl;


import com.alibaba.fastjson.JSONObject;
import com.ruixuan.common.core.domain.ResultResponse;
import com.ruixuan.common.utils.Check;
import com.ruixuan.common.utils.DateUtils;
import com.ruixuan.data.utils.LiveDataExcelUtils;
import com.ruixuan.isc.entity.KuaishouRewardBaseInfo;
import com.ruixuan.isc.mapper.KuaishouRewardBaseInfoMapper;
import com.ruixuan.isc.service.IKuaishouRewardBaseInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;


@Service
public class KuaishouRewardBaseInfoServiceImpl implements IKuaishouRewardBaseInfoService {
    @Autowired
    private KuaishouRewardBaseInfoMapper kuaishouRewardBaseInfoMapper;

    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public KuaishouRewardBaseInfo selectKuaishouRewardBaseInfoById(Long id) {
        return kuaishouRewardBaseInfoMapper.selectKuaishouRewardBaseInfoById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     *
     * @param kuaishouRewardBaseInfo 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<KuaishouRewardBaseInfo> selectKuaishouRewardBaseInfoList(Map<String, Object> map) {
        return kuaishouRewardBaseInfoMapper.selectKuaishouRewardBaseInfoList(map);
    }

    /**
     * 新增【请填写功能名称】
     *
     * @param kuaishouRewardBaseInfo 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertKuaishouRewardBaseInfo(KuaishouRewardBaseInfo kuaishouRewardBaseInfo) {
        kuaishouRewardBaseInfo.setCreateTime(DateUtils.getNowDate());
        return kuaishouRewardBaseInfoMapper.insertKuaishouRewardBaseInfo(kuaishouRewardBaseInfo);
    }

    /**
     * 修改【请填写功能名称】
     *
     * @param kuaishouRewardBaseInfo 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateKuaishouRewardBaseInfo(KuaishouRewardBaseInfo kuaishouRewardBaseInfo) {
        kuaishouRewardBaseInfo.setUpdateTime(DateUtils.getNowDate());
        return kuaishouRewardBaseInfoMapper.updateKuaishouRewardBaseInfo(kuaishouRewardBaseInfo);
    }

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteKuaishouRewardBaseInfoByIds(Long[] ids) {
        return kuaishouRewardBaseInfoMapper.deleteKuaishouRewardBaseInfoByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteKuaishouRewardBaseInfoById(Long id) {
        return kuaishouRewardBaseInfoMapper.deleteKuaishouRewardBaseInfoById(id);
    }

    @Override
    public Integer checkData(Long itemId, String promoterId, String statDate) {
        return kuaishouRewardBaseInfoMapper.checkData(itemId, promoterId, statDate);
    }

    @Override
    public JSONObject getInfo(Long itemId, String promoterId) {
        JSONObject infoJson = new JSONObject();
        String itemName = kuaishouRewardBaseInfoMapper.getItemName(itemId);
        String promoterName = kuaishouRewardBaseInfoMapper.getPromoterName(promoterId);
        infoJson.put("itemName", itemName);
        infoJson.put("promoterName", promoterName);
        return infoJson;
    }

    @Override
    public JSONObject getTotal(KuaishouRewardBaseInfo kuaishouRewardBaseInfo) {
        return kuaishouRewardBaseInfoMapper.getTotal(kuaishouRewardBaseInfo);
    }

    @Override
    public ResultResponse insertRewardBaseInfoByExcel(MultipartFile file) throws Exception {
        String fileName = file.getOriginalFilename();
        List<JSONObject> list = LiveDataExcelUtils.analysisFile(file, fileName);
        if (!Check.isNull(list)) {
            List<KuaishouRewardBaseInfo> infoList = new ArrayList<>();
            for (JSONObject o : list) {
                if ("达人ID".equals(o.getString("0"))) {
                    continue;
                }
                String promoterId = o.getString("0");
                if (Check.isNull(promoterId)) {
                    continue;
                }
                String itemId = o.getString("2");
                if (Check.isNull(itemId)) {
                    continue;
                }
                KuaishouRewardBaseInfo baseInfo = new KuaishouRewardBaseInfo(o);
                baseInfo.setPromoterType(2);
                infoList.add(baseInfo);
            }
            if (!Check.isNull(infoList)) {
                kuaishouRewardBaseInfoMapper.replaceBatchRewardBaseInfo(infoList);
            }
        }
        return ResultResponse.success();
    }

    @Override
    public String getItemName(Long itemId) {
        return kuaishouRewardBaseInfoMapper.getItemName(itemId);
    }

    @Override
    public String getPromoterName(String getPromoterId) {
        String promoterName = kuaishouRewardBaseInfoMapper.getPromoterName(getPromoterId);
        return promoterName;
    }

    @Override
    public Long getTotalSettlementNum(String promoterId, Long itemId) {
        return kuaishouRewardBaseInfoMapper.getTotalSettlementNum(promoterId, itemId);
    }

    @Override
    public BigDecimal getTotalAmount(String promoterId, Long itemId) {
        return kuaishouRewardBaseInfoMapper.getTotalAmount(promoterId, itemId);
    }

    @Override
    public List<JSONObject> totalListInfo(Map<String, Object> requestMap) {
        return kuaishouRewardBaseInfoMapper.totalListInfo(requestMap);
    }
}

