package com.ruixuan.isc.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.ruixuan.common.utils.Check;
import com.ruixuan.isc.mapper.KwaiXiaoDianReportMapper;
import com.ruixuan.isc.service.IKwaiXiaoDianReportService;
import com.ruixuan.system.service.ISysDeptService;
import com.ruixuan.system.service.ISysUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class KwaiXiaoDianReportServiceImpl implements IKwaiXiaoDianReportService {
    @Autowired
    private KwaiXiaoDianReportMapper kwaiXiaoDianReportMapper;

    @Override
    public JSONObject getSumInfo(Map<String, Object> requestMap) {
        return kwaiXiaoDianReportMapper.getSumInfo(requestMap);
    }

    @Override
    public JSONObject getMonthInfo(Map<String, Object> requestMap) {
        return kwaiXiaoDianReportMapper.getMonthInfo(requestMap);
    }

    @Override
    public List<JSONObject> getEchartData(Map<String, Object> requestMap) {
        return kwaiXiaoDianReportMapper.getEchartData(requestMap);
    }

    @Override
    public List<JSONObject> getGmvHours(Map<String, Object> requestMap) {
        return kwaiXiaoDianReportMapper.getGmvHours(requestMap);
    }

    @Override
    public List<JSONObject> getShopListData(Map<String, Object> requestMap) {
        return kwaiXiaoDianReportMapper.getShopListData(requestMap);
    }

    @Autowired
    private ISysUserService sysUserService;
    @Autowired
    private ISysDeptService sysDeptService;

    @Override
    public List<JSONObject> getTeamList(Map<String, Object> requestMap) {
        List<JSONObject> teamList = kwaiXiaoDianReportMapper.getTeamList(requestMap);
        if (!Check.isNull(teamList)) {
            String start = requestMap.get("start").toString();
            String end = requestMap.get("end").toString();
            for (int i = 0; i < teamList.size(); i++) {
                Map<String, Object> map = new HashMap<>();
                map.put("start", start);
                map.put("end", end);
                JSONObject jsonObject = teamList.get(i);
                Long deptId = jsonObject.getLong("deptId");
                List<Long> userIds = kwaiXiaoDianReportMapper.getUserListByDeptId(deptId);
                String type = jsonObject.getString("type");
                if (type.equals("1")) {
                    map.put("userIds", userIds);
                }
                if (type.equals("2")) {
                    map.put("courtshipPurchaseIds", userIds);
                }
                JSONObject itemInfo = kwaiXiaoDianReportMapper.getItemInfo(map);
                if (!Check.isNull(itemInfo)) {
                    jsonObject.put("zxOrderNum", itemInfo.getString("zxOrderNum"));
                    jsonObject.put("tpOrderNum", itemInfo.getString("tpOrderNum"));
                }

            }

        }
        return teamList;
    }

    @Override
    public List<JSONObject> getTeamDetail(Map<String, Object> requestMap) {
        return kwaiXiaoDianReportMapper.getTeamDetail(requestMap);
    }

    @Override
    public List<JSONObject> getItemList(Map<String, Object> requestMap) {
        return kwaiXiaoDianReportMapper.getItemList(requestMap);
    }
}
