package com.ruixuan.jinniu.mapper;

import com.ruixuan.jinniu.entity.KuaishouAdvertiser;

import java.util.List;

/**
 * 广告主Mapper接口
 *
 * @author ruoyi
 * @date 2023-03-14
 */
public interface KuaishouAdvertiserMapper {
    /**
     * 查询广告主
     *
     * @param id 广告主主键
     * @return 广告主
     */
    public KuaishouAdvertiser selectKuaishouAdvertiserById(Long id);

    /**
     * 查询广告主列表
     *
     * @param kuaishouAdvertiser 广告主
     * @return 广告主集合
     */
    public List<KuaishouAdvertiser> selectKuaishouAdvertiserList(KuaishouAdvertiser kuaishouAdvertiser);

    /**
     * 新增广告主
     *
     * @param kuaishouAdvertiser 广告主
     * @return 结果
     */
    public int insertKuaishouAdvertiser(KuaishouAdvertiser kuaishouAdvertiser);

    /**
     * 修改广告主
     *
     * @param kuaishouAdvertiser 广告主
     * @return 结果
     */
    public int updateKuaishouAdvertiser(KuaishouAdvertiser kuaishouAdvertiser);

    /**
     * 删除广告主
     *
     * @param id 广告主主键
     * @return 结果
     */
    public int deleteKuaishouAdvertiserById(Long id);

}