package com.ruixuan.open.controller;

import com.alibaba.fastjson.JSONObject;
import com.mongodb.client.MongoClient;
import com.ruixuan.common.core.controller.BaseController;
import com.ruixuan.common.core.page.TableDataInfo;
import com.ruixuan.common.utils.Result;
import com.ruixuan.common.utils.mongodb.MongoDBDemo;
import com.ruixuan.open.entity.KuaishouOpenPhotoList;
import com.ruixuan.open.service.IKuaishouOpenPhotoCountService;
import com.ruixuan.open.service.IKuaishouOpenPhotoListService;
import com.ruixuan.open.service.IKuaishouOpenUserInfoService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.mongodb.core.MongoTemplate;
import org.springframework.data.mongodb.core.query.Criteria;
import org.springframework.data.mongodb.core.query.Query;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 用户视频列Controller
 *
 * @author ruoyi
 * @date 2024-07-09
 */
@Api(tags = "用户视频列表")
@RestController
@RequestMapping("/open/photo")
public class KuaishouOpenPhotoListController extends BaseController {
    @Autowired
    private IKuaishouOpenPhotoListService openPhotoListService;

    @Autowired
    private IKuaishouOpenPhotoCountService openPhotoCountService;

    @Autowired
    private IKuaishouOpenUserInfoService openUserInfoService;

    /**
     * 查询用户视频列列表
     */
    @GetMapping("/list")
    @ApiOperation(value = "查询用户视频列列表")
    public TableDataInfo list(KuaishouOpenPhotoList kuaishouOpenPhotoList) {
        startPage();
        List<KuaishouOpenPhotoList> list = openPhotoListService.selectKuaishouOpenPhotoListList(kuaishouOpenPhotoList);
        return getDataTable(list);
    }


    /**
     * 查询用户视频列列表
     */
    @GetMapping("/insertKuaishouOpenPhotoList")
    @ApiOperation(value = "新增视频列表")
    public Result insertKuaishouOpenPhotoList() {
        try {
            openPhotoListService.insertKuaishouOpenPhotoList();
            return Result.success();
        } catch (Exception e) {
            e.printStackTrace();
            return Result.error("插入失败！");
        }
    }

    /**
     * 新增视频数量 1小时1次
     */
    @GetMapping("/insertKuaishouOpenPhotoCount")
    @ApiOperation(value = "新增视频数量")
    public Result insertKuaishouOpenPhotoCount() {
        try {
            openPhotoCountService.insertKuaishouOpenPhotoCount();
            return Result.success();
        } catch (Exception e) {
            e.printStackTrace();
            return Result.error("插入失败！");
        }
    }


    /**
     * 获取用户公开信息
     */
    @GetMapping("/insertKuaishouOpenUserInfo")
    @ApiOperation(value = "获取用户公开信息")
    public Result insertKuaishouOpenUserInfo() {
        try {
            openUserInfoService.insertKuaishouOpenUserInfo();
            return Result.success();
        } catch (Exception e) {
            e.printStackTrace();
            return Result.error("插入失败！");
        }
    }

    @Autowired
    private MongoDBDemo mongoDBDemo;

    /**
     * 获取用户公开信息
     */
    @GetMapping("/testMongoDB")
    @ApiOperation(value = "testMongoDB")
    public Result testMongoDB() {
        mongoDBDemo.save();
        mongoDBDemo.saveAll();
        mongoDBDemo.find();
        return Result.success();
    }

}
