package com.ruixuan.report.entity;


import com.ruixuan.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 对象 kuaishou_live_account_report_daily_dw
 *
 * @author ruoyi
 * @date 2023-03-22
 */
@Data
@ApiModel(value = "kuaishou_live_account_report_daily_dw", description = "广告账户报表")
public class KuaishouLiveAccountReport extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 账户ID
     */
    private Long accountId;

    /**
     * 账户名称
     */
    @ApiModelProperty(name = "账户名称")
    private String accountName;

    /**
     * 项目ID
     */
    @ApiModelProperty(name = "项目ID")
    private Long projectId;

    /**
     * 项目名称
     */
    @ApiModelProperty(name = "项目名称")
    private String projectName;

    /**
     * 时间分区
     */
    private Long reportDate;

    /**
     * 时间分区
     */
    private Integer hour;

    /**
     * 快手ID
     */
    @ApiModelProperty(name = "快手ID")
    private Long ksId;

    /**
     * 快手昵称
     */
    @ApiModelProperty(name = "快手昵称")
    private String ksName;

    /**
     * 账户类型 自运营，代运营
     */
    @ApiModelProperty(name = "账户类型 自运营，代运营")
    private Long accountType;

    /**
     * 运营ID
     */
    @ApiModelProperty(name = "运营ID")
    private String userId;

    /**
     * 运营名称
     */
    @ApiModelProperty(name = "运营名称")
    private String userName;

    /**
     * 运营负责人
     */
    @ApiModelProperty(name = "运营负责人")
    private String leadName;

    /**
     * 项目负责人ID
     */
    @ApiModelProperty(name = "项目负责人ID")
    private String proUserId;

    /**
     * 项目负责人名称
     */
    @ApiModelProperty(name = "项目负责人名称")
    private String proUserName;

    /**
     * 销售ID
     */
    @ApiModelProperty(name = "销售ID")
    private String saleId;

    /**
     * 销售名称
     */
    @ApiModelProperty(name = "销售名称")
    private String saleName;

    /**
     * 花费
     */
    @ApiModelProperty(name = "花费")
    private BigDecimal costTotal;

    /**
     * 曝光数
     */
    @ApiModelProperty(name = "曝光数")
    private Long adShow;

    /**
     * 平均千次广告曝光花费
     */
    @ApiModelProperty(name = "平均千次广告曝光花费")
    private BigDecimal adShow1kCost;

    /**
     * 封面曝光数
     */
    @ApiModelProperty(name = "封面曝光数")
    private Long impression;

    /**
     * 封面点击数
     */
    @ApiModelProperty(name = "封面点击数")
    private Long photoClick;

    /**
     * 封面点击率
     */
    @ApiModelProperty(name = "封面点击率")
    private BigDecimal photoClickRatio;

    /**
     * 素材曝光数
     */
    @ApiModelProperty(name = "素材曝光数")
    private Long click;

    /**
     * 行为数
     */
    @ApiModelProperty(name = "行为数")
    private Long actionbarClick;

    /**
     * 行为成本
     */
    @ApiModelProperty(name = "行为成本")
    private BigDecimal actionbarClickCost;

    /**
     * 行为率
     */
    @ApiModelProperty(name = "行为率")
    private BigDecimal espClickRatio;

    /**
     * 素材点击率
     */
    @ApiModelProperty(name = "素材点击率")
    private BigDecimal actionRatio;

    /**
     * 组件点击数
     */
    @ApiModelProperty(name = "组件点击数")
    private Long adItemClickCount;

    /**
     * 直播平均观看时长
     */
    @ApiModelProperty(name = "直播平均观看时长")
    private Long espLivePlayedSeconds;

    /**
     * 作品3秒播放数
     */
    @ApiModelProperty(name = "作品3秒播放数")
    private Long playedThreeSeconds;

    /**
     * 作品3秒播放率
     */
    @ApiModelProperty(name = "作品3秒播放率")
    private BigDecimal play3sRatio;

    /**
     * 作品5秒播放数
     */
    @ApiModelProperty(name = "作品5秒播放数")
    private Long playedFiveSeconds;

    /**
     * 作品5秒播放率
     */
    @ApiModelProperty(name = "作品5秒播放率")
    private BigDecimal play5sRatio;

    /**
     * 作品完播数
     */
    @ApiModelProperty(name = "作品完播数")
    private Long playedEnd;

    /**
     * 作品完播率
     */
    @ApiModelProperty(name = "作品完播率")
    private BigDecimal playEndRatio;

    /**
     * 作品分享数
     */
    @ApiModelProperty(name = "作品分享数")
    private Long share;

    /**
     * 作品评论数
     */
    @ApiModelProperty(name = "作品评论数")
    private Long comment;

    /**
     * 作品点赞数
     */
    @ApiModelProperty(name = "作品点赞数")
    private Long likes;

    /**
     * 作品举报数
     */
    @ApiModelProperty(name = "作品举报数")
    private Long report;

    /**
     * 作品拉黑数
     */
    @ApiModelProperty(name = "作品拉黑数")
    private Long block;

    /**
     * 详情页减少此类作品数
     */
    @ApiModelProperty(name = "详情页减少此类作品数")
    private Long itemNegative;

    /**
     * 直播间分享数
     */
    @ApiModelProperty(name = "直播间分享数")
    private Long liveShare;

    /**
     * 直播间评论数
     */
    @ApiModelProperty(name = "直播间评论数")
    private Long liveComment;

    /**
     * 直播间送礼数
     */
    @ApiModelProperty(name = "直播间送礼数")
    private Long liveReward;

    /**
     * 有效播放数
     */
    @ApiModelProperty(name = "有效播放数")
    private Long effectivePlayCount;

    /**
     * 有效播放率
     */
    @ApiModelProperty(name = "有效播放率")
    private BigDecimal effectivePlayRatio;

    /**
     * 直播间停留1min
     */
    @ApiModelProperty(name = "直播间停留1min")
    private Long adLivePlayed1mNum;

    /**
     * 转化数
     */
    @ApiModelProperty(name = "转化数")
    private Long conversionNum;

    /**
     * 转化成本
     */
    @ApiModelProperty(name = "转化成本")
    private BigDecimal conversionCostEsp;

    /**
     * 直接GMV
     */
    @ApiModelProperty(name = "直接GMV")
    private BigDecimal gmv;

    /**
     * 当日累计GMV
     */
    @ApiModelProperty(name = "当日累计GMV")
    private BigDecimal t0Gmv;

    /**
     * 次日累计GMV
     */
    @ApiModelProperty(name = "次日累计GMV")
    private BigDecimal t1Gmv;

    /**
     * 7日累计GMV
     */
    @ApiModelProperty(name = "7日累计GMV")
    private BigDecimal t7Gmv;

    /**
     * 15日累计GMV
     */
    @ApiModelProperty(name = "15日累计GMV")
    private BigDecimal t15Gmv;

    /**
     * 30日累计GMV
     */
    @ApiModelProperty(name = "30日累计GMV")
    private BigDecimal t30Gmv;

    /**
     * 直接ROI
     */
    @ApiModelProperty(name = "直接ROI")
    private BigDecimal roi;

    /**
     * 当日累计ROI
     */
    @ApiModelProperty(name = "当日累计ROI")
    private BigDecimal t0Roi;

    /**
     * 次日累计ROI
     */
    @ApiModelProperty(name = "次日累计ROI")
    private BigDecimal t1Roi;

    /**
     * 7日累计ROI
     */
    @ApiModelProperty(name = "7日累计ROI")
    private BigDecimal t7Roi;

    /**
     * 15日累计ROI
     */
    @ApiModelProperty(name = "15日累计ROI")
    private BigDecimal t15Roi;

    /**
     * 30日累计ROI
     */
    @ApiModelProperty(name = "30日累计ROI")
    private BigDecimal t30Roi;

    /**
     * 直接订单数
     */
    @ApiModelProperty(name = "直接订单数")
    private Long paiedOrder;

    /**
     * 直接下单率
     */
    @ApiModelProperty(name = "直接下单率")
    private BigDecimal orderRatio;

    /**
     * 当日累计订单数
     */
    @ApiModelProperty(name = "当日累计订单数")
    private Long t0OrderCnt;

    /**
     * 当日累计订单成本
     */
    @ApiModelProperty(name = "当日累计订单成本")
    private BigDecimal t0OrderCntCost;

    /**
     * 累计订单下单率
     */
    @ApiModelProperty(name = "累计订单下单率")
    private BigDecimal t0OrderCntRatio;

    /**
     * 次日累计订单数
     */
    @ApiModelProperty(name = "次日累计订单数")
    private Long t1OrderCnt;

    /**
     * 7日累计订单数
     */
    @ApiModelProperty(name = "7日累计订单数")
    private Long t7OrderCnt;

    /**
     * 15日累计订单数
     */
    @ApiModelProperty(name = "15日累计订单数")
    private Long t15OrderCnt;

    /**
     * 30日累计订单数
     */
    @ApiModelProperty(name = "30日累计订单数")
    private Long t30OrderCnt;

    /**
     * 涨粉数
     */
    @ApiModelProperty(name = "涨粉数")
    private Long merchantRecoFans;

    /**
     * 次日涨粉留存数
     */
    @ApiModelProperty(name = "次日涨粉留存数")
    private Long t1Retention;

    /**
     * 7日涨粉留存数
     */
    @ApiModelProperty(name = "7日涨粉留存数")
    private Long t7Retention;

    /**
     * 15日涨粉留存数
     */
    @ApiModelProperty(name = "15日涨粉留存数")
    private Long t15Retention;

    /**
     * 30日涨粉留存数
     */
    @ApiModelProperty(name = "30日涨粉留存数")
    private Long t30Retention;

    /**
     * 次日涨粉留存率
     */
    @ApiModelProperty(name = "次日涨粉留存率")
    private BigDecimal t1RetentionRatio;

    /**
     * 7日涨粉留存率
     */
    @ApiModelProperty(name = "7日涨粉留存率")
    private BigDecimal t7RetentionRatio;

    /**
     * 15日涨粉留存率
     */
    @ApiModelProperty(name = "15日涨粉留存率")
    private BigDecimal t15RetentionRatio;

    /**
     * 30日涨粉留存率
     */
    @ApiModelProperty(name = "30日涨粉留存率")
    private BigDecimal t30RetentionRatio;

    /**
     * 预约成功数
     */
    @ApiModelProperty(name = "预约成功数")
    private Long reservationSuccess;

    /**
     * 预约成功成本
     */
    @ApiModelProperty(name = "预约成功成本")
    private BigDecimal reservationCost;

    /**
     * 直播观看数
     */
    @ApiModelProperty(name = "直播观看数")
    private Long standardLivePlayedStarted;

    /**
     * 直播观看成本
     */
    @ApiModelProperty(name = "直播观看成本")
    private BigDecimal liveAudienceCost;

    /**
     * 直播间商品点击数
     */
    @ApiModelProperty(name = "直播间商品点击数")
    private Long liveEventGoodsView;

    /**
     * 直播间商品点击率
     */
    @ApiModelProperty(name = "直播间商品点击率")
    private BigDecimal goodsClickRatio;

    /**
     * 直接平台新客
     */
    @ApiModelProperty(name = "直接平台新客")
    private Long directAttrPlatNewBuyerCnt;

    /**
     * 30日累计平台新客
     */
    @ApiModelProperty(name = "30日累计平台新客")
    private Long t30AttrPlatTotalBuyerCnt;

    /**
     * 直接店铺新客
     */
    @ApiModelProperty(name = "直接店铺新客")
    private Long directAttrSellerNewBuyerCnt;

    /**
     * 30日累计店铺新客
     */
    @ApiModelProperty(name = "30日累计店铺新客")
    private Long t30AttrSellerTotalBuyerCnt;

    /**
     * 涨粉当日GMV
     */
    @ApiModelProperty(name = "涨粉当日GMV")
    private BigDecimal fansT0Gmv;

    /**
     * 涨粉次日GMV
     */
    @ApiModelProperty(name = "涨粉次日GMV")
    private BigDecimal fansT1Gmv;

    /**
     * 涨粉7日GMV
     */
    @ApiModelProperty(name = "涨粉7日GMV")
    private BigDecimal fansT7Gmv;

    /**
     * 涨粉15日GMV
     */
    @ApiModelProperty(name = "涨粉15日GMV")
    private BigDecimal fansT15Gmv;

    /**
     * 涨粉30日GMV
     */
    @ApiModelProperty(name = "涨粉30日GMV")
    private BigDecimal fansT30Gmv;

    /**
     * 涨粉当日ROI
     */
    @ApiModelProperty(name = "涨粉当日ROI")
    private BigDecimal fansT0Roi;

    /**
     * 涨粉次日ROI
     */
    @ApiModelProperty(name = "涨粉次日ROI")
    private BigDecimal fansT1Roi;

    /**
     * 涨粉7日ROI
     */
    @ApiModelProperty(name = "涨粉7日ROI")
    private BigDecimal fansT7Roi;

    /**
     * 涨粉15日ROI
     */
    @ApiModelProperty(name = "涨粉15日ROI")
    private BigDecimal fansT15Roi;

    /**
     * 涨粉30日ROI
     */
    @ApiModelProperty(name = "涨粉30日ROI")
    private BigDecimal fansT30Roi;

    /**
     * $column.columnComment
     */
    private BigDecimal orderCost;

    /**
     * $column.columnComment
     */
    private BigDecimal recoFansCost;

    /**
     * $column.columnComment
     */
    private BigDecimal conversionLiveEventGoodsViewCost;


}
